from setuptools import setup, find_packages

setup(
    name='create_flask_package',
    version='0.1.5',
    author='Nasir iqbal',
    description="""Package Description:

create-flask-package is a Python package that provides a command line interface (CLI) tool for generating a scaffold for a Flask web application. With this package, developers can quickly create the basic structure of a Flask project including directories, files, and boilerplate code, allowing them to focus on building their web application logic.

Required Libraries:

The create-flask-package package requires the following Python libraries:

Flask: Flask is a lightweight WSGI web application framework for Python. It provides tools and libraries for building web applications in Python, making it easy to create web APIs, web services, and dynamic web pages.
Flask-SQLAlchemy: Flask-SQLAlchemy is an extension for Flask that adds support for SQLAlchemy, a powerful SQL toolkit and Object-Relational Mapping (ORM) library for Python. Flask-SQLAlchemy simplifies database operations in Flask applications, allowing developers to work with relational databases using high-level Python constructs.
Flask-CORS: Flask-CORS is a Flask extension that adds Cross-Origin Resource Sharing (CORS) support to Flask applications. CORS is a security feature implemented by web browsers to prevent cross-origin requests, and Flask-CORS provides middleware for handling CORS requests in Flask applications.
Flask-Login: Flask-Login is an extension for Flask that provides user session management and authentication support. It simplifies the process of managing user sessions and authenticating users in Flask applications, making it easy to implement user authentication and access control.
Flask-Session: Flask-Session is an extension for Flask that adds support for server-side session management in Flask applications. It provides tools for storing and accessing session data in Flask applications, allowing developers to manage user sessions securely.
These libraries are essential for building Flask web applications and are included as dependencies of the create-flask-package package to ensure compatibility and ease of use for developers.

USE:


After Installation, just write "create-flask-package" in the CMD and write the package name you want to

""",
    packages=find_packages(),
    install_requires=[
        'Flask',
        'Flask-SQLAlchemy',
        'Flask-CORS',
        'Flask-Login',
        'Flask-Session'
    ],
    entry_points={
        'console_scripts': [
            'create_flask_package = create_flask_package.create_flask_package:create_package_entry_point'
        ]
    },
)
